NetApp::Aggregate::Plex(3pm)

NAME
NetApp::Aggregate::Plex -- OO Class for representing NetApp plexes

SYNOPSIS
    use NetApp::Filer;
    use NetApp::Aggregate;

    my $aggregate       = $filer->get_aggregate( $name );

    my $plex            = $aggregate->get_plex;

    my @raidgroups      = $plex->get_raidgroups;

DESCRIPTION
This class is used to encapsulate a NetApp plex, and provide access to the name and states of the plex.

METHODS

  get_name
Returns the name of the plex as a string.

  get_raidgroups
Returns a list of NetApp::Aggregate::RAIDGroup objects, one for each RAIDGroup in the Plex.

  get_states
Returns a list of strings, each of which represents a single state for the plex.

  get_state( $state )
Returns true if the plex has the given state, false otherwise.